# Uses of Enum Class
javafx.animation.PathTransition.OrientationType

Packages that use PathTransition.OrientationType
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.

## Uses of PathTransition.OrientationType in javafx.animation

Methods in javafx.animation that return PathTransition.OrientationType
Modifier and Type
Method
Description
`final PathTransition.OrientationType`
PathTransition.`getOrientation()`
Gets the value of the `orientation` property.
`static PathTransition.OrientationType`
PathTransition.OrientationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PathTransition.OrientationType[]`
PathTransition.OrientationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.animation that return types with arguments of type PathTransition.OrientationType
Modifier and Type
Method
Description
`final ObjectProperty<PathTransition.OrientationType>`
PathTransition.`orientationProperty()`
Specifies the upright orientation of `node` along the `path`.
Methods in javafx.animation with parameters of type PathTransition.OrientationType
Modifier and Type
Method
Description
`final void`
PathTransition.`setOrientation(PathTransition.OrientationType value)`
Sets the value of the `orientation` property.